package com.mortals.xhx.module.perform.service.impl;
import com.mortals.xhx.common.utils.BeanUtil;
import com.mortals.xhx.module.check.model.CheckGoworkRecordEntity;
import com.mortals.xhx.module.check.service.CheckGoworkRecordService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.perform.dao.PerformGoworkRecordDao;
import com.mortals.xhx.module.perform.model.PerformGoworkRecordEntity;
import com.mortals.xhx.module.perform.service.PerformGoworkRecordService;
import lombok.extern.slf4j.Slf4j;
/**
* PerformGoworkRecordService
* 办件绩效记录信息 service实现
*
* @author zxfei
* @date 2023-05-18
*/
@Service("performGoworkRecordService")
@Slf4j
public class PerformGoworkRecordServiceImpl extends AbstractCRUDServiceImpl<PerformGoworkRecordDao, PerformGoworkRecordEntity, Long> implements PerformGoworkRecordService {

    @Autowired
    private CheckGoworkRecordService checkGoworkRecordService;

    @Override
    protected void saveAfter(PerformGoworkRecordEntity entity, Context context) throws AppException {
        CheckGoworkRecordEntity checkGoworkRecordEntity = new CheckGoworkRecordEntity();
        checkGoworkRecordEntity.initAttrValue();
        BeanUtils.copyProperties(entity,checkGoworkRecordEntity, BeanUtil.getNullPropertyNames(entity));
        checkGoworkRecordEntity.setRecordId(entity.getId());
        if(entity.getSubMethod()==1){
            checkGoworkRecordEntity.setCheckStatus(2);     //自动扣分相设置为已处理
        }else {
            checkGoworkRecordEntity.setCheckStatus(1);      //非自动扣分相设置为未处理
        }
        checkGoworkRecordService.save(checkGoworkRecordEntity,context);
    }
}